This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1253476 - random node deployment failure when deploying overcloud with GA bits
random node deployment failure when deploying overcloud with GA bits
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
unspecified Severity unspecified
: y2
: 7.0 (Kilo)
Assigned To: chris alfonso
yeylon@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-13 14:58 EDT by bigswitch
Modified: 2016-04-18 03:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-31 12:43:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bigswitch 2015-08-13 14:58:50 EDT
Description of problem:
We are using RHOSP7 GA bits to deploy a 3-controller 2-compute setup. However, we constantly ran into cases where one or two of the nodes' deployment got failed. For every trial, we make sure all the nodes are physically powered off by checking their LED lights. Following are two examples. Please let us know what type of logs are needed to debug this problem.

First trial
[stack@manager ~]$ ironic node-list

+--------------------------------------+------+--------------------------------------+-------------+-----------------+-------------+

| UUID                                 | Name | Instance UUID                        | Power State | Provision State | Maintenance |

+--------------------------------------+------+--------------------------------------+-------------+-----------------+-------------+

| 999c85a6-8116-427a-a0e6-69325987103d | None | d0363cd7-cb28-4531-89cb-3d71b0326921 | power on    | deploy failed   | False       |

| 4013a534-8c73-47dd-87e0-4fffc036081b | None | b361a811-31d6-4310-9ae2-e403a0849bba | power on    | active          | False       |

| 33363934-d1f8-4eb4-ab7e-232ac45e5e5a | None | 73a14697-177f-49d8-b59d-6ac826d17092 | power on    | active          | False       |

| f1e54bb4-c140-4c2a-b08a-00de20c739ad | None | 37a4890a-1b35-4c4d-9b9b-05325c3e5744 | power on    | active          | False       |

| 08a45102-20dc-49e1-ae77-aacc6b21f91e | None | b9f27ccf-a28b-4401-a9ee-218a0d9f8d35 | power on    | active          | False       |

+--------------------------------------+------+--------------------------------------+-------------+-----------------+-------------+

Second trial

[stack@manager ~]$ ironic node-list

+--------------------------------------+------+--------------------------------------+-------------+-----------------+-------------+

| UUID                                 | Name | Instance UUID                        | Power State | Provision State | Maintenance |

+--------------------------------------+------+--------------------------------------+-------------+-----------------+-------------+

| 999c85a6-8116-427a-a0e6-69325987103d | None | None                                 | power off   | available       | False       |

| 4013a534-8c73-47dd-87e0-4fffc036081b | None | b8c35808-6e57-4d53-9500-b8ade56ed5eb | power on    | active          | False       |

| 33363934-d1f8-4eb4-ab7e-232ac45e5e5a | None | 7bf103d3-92d2-4a37-8e83-e64c22334f53 | power on    | deploy failed   | False       |

| f1e54bb4-c140-4c2a-b08a-00de20c739ad | None | a87535b4-5efa-47a9-95d1-b92bca5c3075 | power on    | active          | False       |

| 08a45102-20dc-49e1-ae77-aacc6b21f91e | None | 64bf7236-520c-4ea3-afc4-9fce20547527 | power on    | active          | False       |

+--------------------------------------+------+--------------------------------------+-------------+-----------------+-------------+

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 chris alfonso 2015-08-26 12:56:04 EDT
Did you end up getting past this issue?
Comment 4 bigswitch 2015-08-27 11:38:14 EDT
We still ran into node deployment failure from time to time. However, they are caused by different reasons. We can close it for now. We will open another one if we run into some repeatable pattern.

Note You need to log in before you can comment on or make changes to this bug.